Bug 2177784 - Sound volume is sometimes 0% after login (a race condition)
Summary: Sound volume is sometimes 0% after login (a race condition)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: wireplumber
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact:
URL:
Whiteboard: openqa RejectedBlocker AcceptedFreeze...
Depends On:
Blocks: F38FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2023-03-13 15:48 UTC by Kamil Páral
Modified: 2024-05-21 14:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-05-21 14:31:14 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
system journal (254.84 KB, text/plain)
2023-03-13 15:48 UTC, Kamil Páral
no flags Details
package versions (61.51 KB, text/plain)
2023-03-13 15:48 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2023-03-13 15:48:15 UTC
Description of problem:
I have noticed that sometimes, randomly, Fedora 38 Workstation starts with a 0% volume after login. Because I do a lot of LiveCD boots, I noticed this first when booting LiveCD frequently, usually the volume would be regular (non-zero), but sometimes 0%. I've now verified the same problem even on an install system, I kept rebooting and after some time it started with a 0% volume.

I haven't yet seen the issue on my bare metal, but given how infrequently I reboot, I don't have a good sample set. So it definitely happens with VMs, unclear whether it also affects bare metal yet.

I have captured a system journal after booting an installed system into the 0% volume state. It is attached.


Version-Release number of selected component (if applicable):
wireplumber-0.4.14-1.fc38.x86_64
pipewire-0.3.67-1.fc38.x86_64
pulseaudio-libs-16.1-4.fc38.x86_64
alsa-lib-1.2.8-3.fc38.x86_64


How reproducible:
a race condition

Steps to Reproduce:
1. reboot installed F38 Workstation over and over and eventually it boots with a 0% volume

Comment 1 Kamil Páral 2023-03-13 15:48:36 UTC
Created attachment 1950255 [details]
system journal

Comment 2 Kamil Páral 2023-03-13 15:48:41 UTC
Created attachment 1950256 [details]
package versions

Comment 3 Kamil Páral 2023-03-13 15:49:14 UTC
Proposing for a blocker discussion.

Comment 4 Geoffrey Marr 2023-03-13 19:22:05 UTC
Discussed during the 2023-03-13 blocker review meeting: [0]

The decision to classify this bug as a "RejectedBlocker (Final)" and an "AcceptedFreezeException (Final)" was made as this isn't serious enough to be considered a criteria violation. The criterion says "The installed system must be able to play back sound with gstreamer-based applications"; if affected by this bug you can play sound, you just have to turn the volume up first. It is bad polish, though, so we grant an FE.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2023-03-13/f38-blocker-review.2023-03-13-16.00.txt

Comment 5 Aoife Moloney 2024-05-07 16:00:12 UTC
This message is a reminder that Fedora Linux 38 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 38 on 2024-05-21.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '38'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 38 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 6 Aoife Moloney 2024-05-21 14:31:14 UTC
Fedora Linux 38 entered end-of-life (EOL) status on 2024-05-21.

Fedora Linux 38 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.